Bug 150932 - Quickfix extract method does not change all instances of the chosen name
Quickfix extract method does not change all instances of the chosen name
Status: VERIFIED FIXED
Product: python
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
nbpythonqa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 19:07 UTC by tonybeckham
Modified: 2009-01-15 01:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screen shot (149.20 KB, image/png)
2008-10-21 19:13 UTC, tonybeckham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tonybeckham 2008-10-21 19:07:18 UTC
Using the Extract Method quick fix, you get the chance to name the method.  If that code was indented the method is
brought out but the naming of the method does not change the methods call.

Product Version: NetBeans IDE 6.5 RC1 (Build 20081021155605)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)

Steps:
-Create a new Python Application
-In the generated code, replace the print statement with
 if _a >a:
     c = a
 else
     c = b
-Now select that code and use the quickfix Extract Method
-the name is selected to be changed but changing it does not change the name for the method call
Comment 1 tonybeckham 2008-10-21 19:13:27 UTC
Created attachment 72416 [details]
screen shot
Comment 2 tonybeckham 2008-10-21 19:16:24 UTC
Probably not the correct use or something.
Comment 3 Torbjorn Norbye 2008-10-27 23:37:10 UTC
Fixed in changeset 8783257270da
Comment 4 tonybeckham 2008-10-28 18:16:13 UTC
Fix Verified

Product Version: NetBeans IDE 6.5 RC2 (Build 20081028113643)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo